MCP Tools Reference: developerknowledge.googleapis.com

Tool: search_documents

Use this tool to find documentation about Google developer products. The documents contain official APIs, code snippets, release notes, best practices, guides, debugging info, and more. It covers the following products and domains:

  • ADK: adk.dev

  • Android: developer.android.com

  • Apigee: docs.apigee.com

  • Chrome: developer.chrome.com

  • Dart: dart.dev

  • Firebase: firebase.google.com

  • Flutter: docs.flutter.dev

  • Fuchsia: fuchsia.dev

  • Gemini CLI: geminicli.com

  • Go: go.dev

  • Google AI: ai.google.dev

  • Google Antigravity: antigravity.google

  • Google Cloud: cloud.google.com & docs.cloud.google.com

  • Google Developers, Ads, Search, Google Maps, Youtube: developers.google.com

  • Google Home: developers.home.google.com

  • Google Maps Platform: mapsplatform.google.com

  • TensorFlow: www.tensorflow.org

  • Web: web.dev

This tool returns chunks of text, names, and URLs for matching documents. If the returned chunks are not detailed enough to answer the user's question, use get_documents with the parent from this tool's output to retrieve the full document content.

The following code sample shows how to use curl to call the search_documents MCP tool.

Curl Request
curl --location 'https://developerknowledge.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "search_documents",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request schema for search_documents. Use the query field to search for related Google developer documentation.

SearchDocumentChunksRequest

JSON representation
{
  "query": string
}
Fields
query

string

Required. The raw query string provided by the user, such as "How to create a Cloud Storage bucket?".

Output Schema

Response schema for search_documents.

SearchDocumentChunksResponse

JSON representation
{
  "results": [
    {
      object (DocumentChunk)
    }
  ]
}
Fields
results[]

object (DocumentChunk)

The search results for the given query. Each Document in this list contains a snippet of content relevant to the search query. Use the DocumentChunk.name field of each result with get_documents to retrieve the full document content.

DocumentChunk

JSON representation
{
  "parent": string,
  "id": string,
  "content": string
}
Fields
parent

string

Output only. The resource name of the document this chunk is from. Format: documents/{uri_without_scheme} Example: documents/docs.cloud.google.com/storage/docs/creating-buckets

id

string

Output only. The ID of this chunk within the document. The chunk ID is unique within a document, but not globally unique across documents. The chunk ID is not stable and may change over time.

content

string

Output only. The content of the document chunk.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌